inttimes.d(1m)

NAME
inttimes.d - print interrput on-cpu time total. Uses DTrace.

SYNOPSIS
inttimes.d

DESCRIPTION
This prints the total time each driver instance has spent servicing interrupts. Since this uses DTrace, only the root user or users with the dtrace_kernel privilege can run this command.

EXAMPLES

This samples until Ctrl-C is hit.
    # inttimes.d

FIELDS

DEVICE
    instance name of the device driver

TIME (ns)
    sum of time spent servicing interrupt (nanoseconds)

BASED ON
/usr/demo/dtrace/intr.d

DOCUMENTATION
DTrace Guide "sdt Provider" chapter (docs.sun.com) See the DTraceToolkit for further documentation under the Docs directory. The DTraceToolkit docs may include full worked examples with verbose descriptions explaining the output.

EXIT
inttimes.d will sample until Ctrl-C is hit.

SEE ALSO
intrstat(1M), dtrace(1M)